# lugins/osg/BlendFunc.cpp File Reference

`#include "osg/BlendFunc"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/BlendFunc.cpp:

## Functions

bool | BlendFunc_readLocalData (Object &obj, Input &fr)
bool | BlendFunc_writeLocalData (const Object &obj, Output &fw)
bool | BlendFunc_matchModeStr (const char *str, int &mode)
const char * | BlendFunc_getModeStr (int value)

## Variables

RegisterDotOsgWrapperProxy | g_TransparencyProxy (new osg::BlendFunc,"Transparency","Object StateAttribute Transparency",&BlendFunc_readLocalData,&BlendFunc_writeLocalData)
RegisterDotOsgWrapperProxy | g_BlendFuncProxy (new osg::BlendFunc,"BlendFunc","Object StateAttribute BlendFunc",&BlendFunc_readLocalData,&BlendFunc_writeLocalData)

## Function Documentation

const char * BlendFunc_getModeStr | ( | int | value | ) |

bool BlendFunc_matchModeStr | ( | const char * | str,
|  | int & | mode
| ) |

bool BlendFunc_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool BlendFunc_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_BlendFuncProxy(new osg::BlendFunc,"BlendFunc","Object StateAttribute BlendFunc",&BlendFunc_readLocalData,&BlendFunc_writeLocalData)

RegisterDotOsgWrapperProxy g_TransparencyProxy(new osg::BlendFunc,"Transparency","Object StateAttribute Transparency",&BlendFunc_readLocalData,&BlendFunc_writeLocalData)